{
  "AppSettings": {
    "InjectSpecificationDocument": true
  },
  "SpecificationDocumentSettings": {
    "DocumentTitle": "垃圾分类接口",
    "RoutePrefix": "waste"
  },
  "DynamicApiControllerSettings": {
    "KeepName": true,
    "KeepVerb": false,
    "LowercaseRoute": true
  },
  "Serilog": {
    "MinimumLevel": {
      "Default": "Information",
      "Override": {
        "System": "Warning",
        "Microsoft": "Warning",
        "Microsoft.Hosting.Lifetime": "Warning",
        "Microsoft.EntityFrameworkCore": "Warning"
      }
    }
  },
  "JWTSettings": {
    "ValidateIssuerSigningKey": true, // 是否验证密钥，bool 类型，默认true
    "IssuerSigningKey": "ybhdmob_55cf9d4d4747bedc", // 密钥，string 类型，必须是复杂密钥，长度大于16
    "ValidateIssuer": true, // 是否验证签发方，bool 类型，默认true
    "ValidIssuer": "ybhdmob", // 签发方，string 类型
    "ValidateAudience": true, // 是否验证签收方，bool 类型，默认true
    "ValidAudience": "ybapp", // 签收方，string 类型
    "ValidateLifetime": true, // 是否验证过期时间，bool 类型，默认true，建议true
    "ExpiredTime": 60, // 过期时间，long 类型，单位分钟，默认20分钟
    "ClockSkew": 5, // 过期时间容错值，long 类型，单位秒，默认 5秒
    "Algorithm": "HS256" // 加密算法，string 类型，默认 SecurityAlgorithms.HmacSha256
  },
  "logfile": "d:/errlog/waste.ybhdmob.com", //日志文件路径
  "NirvanaConnection": "Server=localhost,4331;Database=waste;uid=jutian_user;pwd=jutian1qaz@WSX;",
  "SZTestDevPlatSetting": { //苏州设备接入平台设置,测试环境
    "ApiUrl": "https://bright.ljflytjl.cn:9101",
    "UserId": "18e76eb9-9154-4b43-bcfe-f80671ab8e79",
    "ApiSecret": "1KXWKC1WA8V8eCDX",
    "ApiSecretHash": "5567485e9458ee89",
    "SocketUrl": "wss://bright.ljflytjl.cn:9101/device_rpc"
  },
  "SZDevPlatSetting": { //苏州设备接入平台设置,正式环境
    "ApiUrl": "https://api.data.suzhou.ljflytjl.cn",
    "UserId": "55863a65-a28c-4e7f-8835-1fa779e1eb9f",
    "ApiSecret": "EtifGTppTL0TTjie",
    "ApiSecretHash": "3f907fe05acb58c6",
    "SocketUrl": "wss://api.device.suzhou.ljflytjl.cn/device_rpc"
  },
  "RabbitmqSetting": { //rabbitmq配置
    "HostName": "localhost",
    "Port": 5672,
    "UserName": "liuzl",
    "Password": "liuzl",
    "DBConnection": "Server=localhost,4331;Database=waste;uid=jutian_user;pwd=jutian1qaz@WSX;" //数据保存库
  },
  "IsTask": "false", //定时任务是否开启
  "SoftName": "巨鼎物联网数字平台", //软件名称
  "SecureKey": "ybhdmob_waste_2021",
  "SoftDesc": "", //软件描述
  "Version": "1.0", //软件版本
  "copyright": "巨鼎物联网数字平台", //版权所有
  "LoginProvider": "CookieAndSession", //登录信息保存位置
  "LoginProviderKey": "waste_loginuserkey" //登录密钥
}